Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class AcceptMethodConditionNode<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ReasoningNodeBase<F>
          com.hammurapi.reasoning.impl.ConditionNode<F>
              com.hammurapi.reasoning.impl.AcceptMethodConditionNode<F>

All Implemented Interfaces:
  FlowElement, Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

    public class AcceptMethodConditionNode<F>

extends ConditionNode<F>

Field Summary

Fields inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`isFine, knowledgeBase, logger, method, methodName, parameterTypes, pins, rule, ruleDescription, ruleName`

Constructor Summary
`AcceptMethodConditionNode()`

Method Summary
`protected boolean` | `partialJoin(List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs, int index)` Evaluate condition as soon as all condition arguments are available.
`void` | `setParameterMap(List<Integer> parameterMap)`
`protected void` | `sortInputs()` Sort input pins to move pins with conditon arguments to first positions.

Methods inherited from class com.hammurapi.reasoning.impl.ConditionNode
`process`

Methods inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`addPin, afterConnect, beforeConnect, getInputPins, getInvocable, getInvoker, getPriority, invoke, setKnowledgeBase, setMethodName, setParameterTypes, setPriority, setRuleDescription, setRuleIndex, setRuleName, setRules, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcceptMethodConditionNode

    public AcceptMethodConditionNode()

Method Detail

### setParameterMap

    public void setParameterMap(List<Integer> parameterMap)

### partialJoin

    protected boolean partialJoin(List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs,
                                  int index)
                           throws Exception

  Evaluate condition as soon as all condition arguments are available.

  Overrides:
    `partialJoin` in class `ReasoningNodeBase<F>`
  Parameters:
    `inputs` - Inputs
    `index` - Index of last already joined input.
  Returns:
  Throws:
    `Exception`

### sortInputs

    protected void sortInputs()

  Sort input pins to move pins with conditon arguments to first positions.

  Overrides:
    `sortInputs` in class `ReasoningNodeBase<F>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD